Call us: +86 0755-82563503

Currency: $ US Dollar

Items : %s%s

Coaxial Cables

Compare Image Name Manufacturer Pricing(USD) Quantity Weight(Kg) Size(LxWxH) Datasheet Factory Lead Time Mount Packaging Published Series Part Status Moisture Sensitivity Level (MSL) Connector Type Termination Color Gender Length RoHS Status Lead Free Voltage - Rated Radiation Hardening Package / Case REACH SVHC Impedance Operating Temperature Voltage - Rated DC Connector Type A Connector Type B Feature Polarity Style Cable Length Wire/Cable Type Max Voltage Rating (AC) Frequency (Max) 1st Connector 2nd Connector Cable Type Gender Type A Gender Type B
CBLRF4R CBLRF4R Murata Electronics 0.0000
RFQ

Min: 1

Mult: 1

0.00000000 Bulk Obsolete Not Applicable 1.2192m RoHS Compliant SMA Female
135108-R1-03.00 135108-R1-03.00 Amphenol RF 0.0000
RFQ

Min: 1

Mult: 1

0.00000000 9 Weeks Active 1 (Unlimited) SMA Female to Female 3.000 76.20mm RoHS Compliant No SMA SMA SMA SMA to SMA 76mm SMA Female Jack SMA Female Jack Hand Formable .085
415-0086-050 415-0086-050 Emerson Aim-Cambridge 0.0000
RFQ

Min: 1

Mult: 1

0.00000000
GTC11A-6-50 GTC11A-6-50 0.0000
RFQ

Min: 1

Mult: 1

0.00000000
415-0201-036 415-0201-036 Cinch Connectivity Solutions Johnson 0.0000
RFQ

Min: 1

Mult: 1

0.00000000 8 Weeks Active 1 (Unlimited) Black Female to Male 36.00 914.40mm RoHS Compliant RP-SMA to RP-SMA RP-SMA Female Jack, Male Pin RP-SMA Male Plug, Female Socket RG-174
415-0043-012 415-0043-012 Cinch Connectivity Solutions Johnson 0.0000
RFQ

Min: 1

Mult: 1

0.00000000 8 Weeks Bulk 2002 Active 1 (Unlimited) Gray Male to Male 12.00 304.80mm RoHS Compliant 335V No SMA 50Ohm 335V Plug, SMA Plug, SMA Shielded Normal SMA to SMA 304.8mm Coaxial 335V 12.4GHz SMA Male Plug SMA Male Plug RG-142 Male
336209-13-0075 336209-13-0075 Amphenol RF 0.0000
RFQ

Min: 1

Mult: 1

0.00000000 download 9 Weeks Cable 2008 Active 1 (Unlimited) TNC Crimp Black Female to Female 2.953 75.00mm RoHS Compliant No Unknown 50Ohms Coaxial, Plug, Socket TNC IP67 - Dust Tight, Waterproof U.FL (UMCC), AMC to TNC 75mm Coaxial 6GHz U.FL (UMCC), AMC Plug, Female Socket, Right Angle TNC Female Jack 1.32mm OD Coaxial Cable
265104-01-24.00 265104-01-24.00 Amphenol RF 0.0000
RFQ

Min: 1

Mult: 1

0.00000000 download 9 Weeks Cable Bulk Active 1 (Unlimited) MMCX Crimp Male to Male 24.00 609.60mm RoHS Compliant No 316 50Ohm MMCX, Plug MMCX, Plug Normal MMCX to MMCX 609mm Coaxial MMCX Male Plug, Right Angle MMCX Male Plug, Right Angle RG-316 Male Male
59155-000-147 59155-000-147 TE Connectivity Deutsch Connectors 0.0000
RFQ

Min: 1

Mult: 1

0.00000000 20 Weeks Active 1 (Unlimited) RoHS Compliant
415-0087-150 415-0087-150 Cinch Connectivity Solutions Johnson 0.0000
RFQ

Min: 1

Mult: 1

0.00000000 8 Weeks Cable Bulk 2011 UMC Active 1 (Unlimited) Black Female to Female 5.906 150.00mm RoHS Compliant Lead Free No 50Ohm -40°C~90°C Coaxial, Plug, Socket Coaxial, Plug, Socket Shielded Normal U.FL (UMCC) to U.FL (UMCC) 150mm Coaxial 6GHz U.FL (UMCC) Plug, Female Socket, Right Angle U.FL (UMCC) Plug, Female Socket, Right Angle 1.32mm OD Coaxial Cable Male
415-0028-048 415-0028-048 Cinch Connectivity Solutions Johnson 0.0000
RFQ

Min: 1

Mult: 1

0.00000000 8 Weeks Bulk 2002 Active 1 (Unlimited) BNC, SMA White Male to Male 48.0 1.2m 4.0' RoHS Compliant Lead Free 250V No SMA 50Ohm Plug, SMA BNC, Plug Shielded Normal BNC to SMA 1.2192m Coaxial 250V 4GHz BNC Male Plug SMA Male Plug RG-316 Male
415-0041-036 415-0041-036 Cinch Connectivity Solutions Johnson 0.0000
RFQ

Min: 1

Mult: 1

0.00000000 8 Weeks 2002 Active 1 (Unlimited) SMA White Male to Male 36.00 914.40mm RoHS Compliant No SMA 50Ohms Plug, SMA Plug, SMA Shielded Normal SMA to SMA 914mm Coaxial 335V 12.4GHz SMA Male Plug, Right Angle SMA Male Plug, Right Angle RG-58 Male Male
415-0032-MM500 415-0032-MM500 Cinch Connectivity Solutions Johnson 0.0000
RFQ

Min: 1

Mult: 1

0.00000000 8 Weeks Active Not Applicable White Male to Male 19.69 500.00mm RoHS Compliant 50Ohms Shielded SMA to SMA 500mm 12.4GHz SMA Male Plug, Right Angle SMA Male Plug, Right Angle RG-316
415-0009-036 415-0009-036 Cinch Connectivity Solutions Johnson 0.0000
RFQ

Min: 1

Mult: 1

0.00000000 8 Weeks Bulk 2014 Active 1 (Unlimited) White Female to Female 36.00 914.40mm RoHS Compliant Contains Lead No SMB 75Ohm Plug, SMB, Socket Plug, SMB, Socket Shielded Normal SMB Mini to SMB 914mm Coaxial 335V 2GHz SMB Mini Plug Female Socket, Right Angle SMB Mini Plug Female Socket, Right Angle RG-179 Male
415-0030-MM250 415-0030-MM250 Cinch Connectivity Solutions Johnson 0.0000
RFQ

Min: 1

Mult: 1

0.00000000 download 8 Weeks Active Not Applicable White Male to Male 9.843 250.00mm RoHS Compliant 50Ohms Shielded SMA to SMA 250mm 12.4GHz SMA Male Plug SMA Male Plug, Right Angle RG-316
5152-DKF-0036 5152-DKF-0036 Semflex 0.0000
RFQ

Min: 1

Mult: 1

0.00000000
RFC-2353 RFC-2353 Quest Technology 0.0000
RFQ

Min: 1

Mult: 1

0.00000000
02Y7471#0100 02Y7471#0100 Hoei 0.0000
RFQ

Min: 1

Mult: 1

0.00000000
02Y5715#0200 02Y5715#0200 Hoei 0.0000
RFQ

Min: 1

Mult: 1

0.00000000
ANT-CAB-400-N-X ANT-CAB-400-N-X Red Lion Controls 0.0000
RFQ

Min: 1

Mult: 1

0.00000000 Obsolete 1 (Unlimited)
395031X3.38.01 395031X3.38.01 General Cable 0.0000
RFQ

Min: 1

Mult: 1

0.00000000
7808A0101000 7808A0101000 Belden Inc. 0.0000
RFQ

Min: 1

Mult: 1

0.00000000
415-0033-018 415-0033-018 Cinch Connectivity Solutions / Johnson 0.0000
RFQ

Min: 1

Mult: 1

0.00000000
02Y5715#1000 02Y5715#1000 Hoei 0.0000
RFQ

Min: 1

Mult: 1

0.00000000
415-0033-MM250 415-0033-MM250 Cinch Connectivity Solutions Johnson 0.0000
RFQ

Min: 1

Mult: 1

0.00000000 8 Weeks Active Not Applicable White Male to Male 9.843 250.00mm RoHS Compliant 50Ohms Shielded SMA to SMA 250mm 12.4GHz SMA Male Plug SMA Male Plug RG-316 DS
02Y7470#0100 02Y7470#0100 Hoei 0.0000
RFQ

Min: 1

Mult: 1

0.00000000
RFC-1325 RFC-1325 Quest Technology 0.0000
RFQ

Min: 1

Mult: 1

0.00000000
RFC-1922 RFC-1922 Quest Technology 0.0000
RFQ

Min: 1

Mult: 1

0.00000000
RFC-1536 RFC-1536 Quest Technology 0.0000
RFQ

Min: 1

Mult: 1

0.00000000
W.FL-2LP-04N1-A-(290) W.FL-2LP-04N1-A-(290) Hirose Electric 0.0000
RFQ

Min: 1

Mult: 1

0.00000000 download 12 Weeks Cable W.FL Active Not Applicable White Female to Female 11.417 290.00mm RoHS Compliant 50Ohms Plug Plug Shielded W.FL to W.FL Coaxial 6GHz W.FL Female Plug, Right Angle W.FL Female Plug, Right Angle 0.81mm OD Coaxial Cable
Settings Need Help?
Top FAQ's

How can I quickly find answers to my questions?

Please visit the Help & Support area of our website to find information regarding ordering, shipping, delivery and more.

What is my Order Status?

Registered users can track orders from their account dropdown, or click here. *Order Status may take 12 hours to update after initial order is placed.

How do I return product?

Users can begin the returns process by starting with our Returns Page.

How do I find price and availability?

Quotes can be created by registered users in myLists.

How do I create a 'HK JDW' Account?

Visit the Registration Page and enter the required information. You will receive an email confirmation when your registration is complete.

United Kingdom/GBP Summary
Fast Shipping Fast Delivery

Orders are typically delivered to United Kingdom within 48 hours depending on location.

Free Shipping Free Shipping

Free delivery to United Kingdom on orders of £33 or more. A delivery charge of £12 will be billed on all orders less than £33.

Incoterms Incoterms

DDP (Duty and customs paid by HK JDW)

Payment Options Payment Types

Credit account for qualified institutions and businesses

Payment in Advance by Wire Transfer

Visa Mastercard American Express PayPal Apple Pay Google Pay

Marketplace Marketplace Product

More Products From Fully Authorized Partners

Average Time to Ship 1-3 Days, extra ship charges may apply. Please see product page, cart, and checkout for actual ship speed.

Incoterms: CPT (Duty, customs, and applicable VAT/Tax due at time of delivery)

For more information visit Help & Support